# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/27
@desc: 
"""
import time

from entitys import DataSplitEntity, MlConfigEntity
from pipeline import Pipeline

if __name__ == "__main__":
    time_now = time.time()
    import scorecardpy as sc

    # 加载数据
    dat = sc.germancredit()
    dat_columns = dat.columns.tolist()
    dat_columns = [c.replace(".","_") for c in dat_columns]
    dat.columns = dat_columns

    dat["creditability"] = dat["creditability"].apply(lambda x: 1 if x == "bad" else 0)
    data = DataSplitEntity(train_data=dat[:709], test_data=dat[709:])

    # 训练并生成报告
    train_pipeline = Pipeline(MlConfigEntity.from_config('./config/ml_config_template.json'), data)
    train_pipeline.train()
    train_pipeline.report()

    print(time.time() - time_now)
